using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.SemiSkuWarehouseSales
{
    /// <summary>
    /// 半成品SKU+仓库维度的库存，销量，在途，缺货，冗余数据
    /// </summary>
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("半成品SKU+仓库维度的库存，销量，在途，缺货，冗余数据");
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }


        //static void Main(string[] args)
        //{
        //    var _service = new Services();
        //    _service.Init();
        //}
    }
}
